
QGIS Application - Feature request #4003

qgis_mapserver getPrint legend options

2011-06-20 11:24 AM - dmartella -

Status: Closed

Priority: Normal

Assignee: René-Luc ReLuc

Category: QGIS Server

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 13991

Description

Please, add some parameters for configuring legend in getPrint request.

For example, would be very useful to pass layers to legend item, as it's possible for map:

legend0:LAYERS=lyr1,lyrn

History

#1 - 2011-06-21 01:19 PM - dmartella -

- Category set to QGIS Server

#2 - 2011-12-16 02:12 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#3 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:13 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2014-09-26 03:22 AM - René-Luc ReLuc

- Assignee set to René-Luc ReLuc

- Pull Request or Patch supplied set to Yes

- % Done changed from 0 to 100

- Target version changed from Future Release - Nice to have to Version 2.6

[FEATURE][QGIS-Server] Legend filtering based on map in GetPrint Request

Feature funded by Tecnostudi Ambiente, Faunalia and Andromede-oceanologie.

The legend in composition was fixed and did not represent the layers in the map.

With the work made by @wonder-sk on layer-tree and QgsComposerLegend users will be able

to configure composer legend as based on all the project layer tree with auto-update

model or filtered by map.

This commit reused these two QgsComposerLegend's properties to filter it based on map in

GetPrint Request

https://github.com/qgis/QGIS/pull/1593

#6 - 2014-09-26 05:39 AM - René-Luc ReLuc

- Resolution set to fixed/implemented
https://github.com/qgis/QGIS/pull/1593


#7 - 2014-09-26 06:07 AM - Giovanni Manghi

- Status changed from Open to Closed
